$(document).ready(function(){
    
    (function($) {
        "use strict";

    
    jQuery.validator.addMethod('answercheck', function (value, element) {
        return this.optional(element) || /^\bcat\b$/.test(value);
    }, "type the correct answer -_-");

    // validate contactForm form
    $(function() {
        $('#contactForm').validate({
            rules: {
                name: {
                    required: true,
                    minlength: 2
                },
                email: {
                    required: true,
                    email: true
                },
                phone: {
                    required: true
                }
                date: {
                    required: true
                }
                start: {
                    required: true
                }
                city: {
                    required: true
                }
                state: {
                    required: true
                }
                zip: {
                    required: true
                }
                end: {
                    required: true
                }
                city2: {
                    required: true
                }
                state2: {
                    required: true
                }
                zip2: {
                    required: true
                }
               
            },
            messages: {
                name: {
                    required: "Please enter your name",
                    minlength: "Your name must consist of at least 2 characters"
                },
                email: {
                    required: "Please enter pour email"
                },
                phone: {
                    required: "Please enter your phone"
                }
                start: {
                    required: "Enter moving from street"
                }
                city: {
                    required: "Enter your moving from city"
                }
                state: {
                    required: "Enter your moving from state"
                }
                zip: {
                    required: "Enter your moving from zip code"
                }
                end: {
                    required: "enter moving to street"
                }
                city2: {
                    required: "Enter your moving to city"
                }
                state2: {
                    required: "Enter your moving to state"
                }
                zip2: {
                    required: "Enter your moving to zip code"
                }
                
            },
            submitHandler: function(form) {
                $(form).ajaxSubmit({
                    type:"POST",
                    data: $(form).serialize(),
                    url:"contact_process.php",
                    success: function() {
                        $('#contactForm :input').attr('disabled', 'disabled');
                        $('#contactForm').fadeTo( "slow", 0.15, function() {
                            $(this).find(':input').attr('disabled', 'disabled');
                            $(this).find('label').css('cursor','default');
                            $('#success').fadeIn();
                        });
                    },
                    error: function() {
                        $('#contactForm').fadeTo( "slow", 0.15, function() {
                            $('#error').fadeIn();
                        });
                    }
                });
            }
        });
    });
        
 })(jQuery)
});