$(document).ready(function(){
    
    (function($) {
        "use strict";

    
    jQuery.validator.addMethod('answercheck', function (value, element) {
        return this.optional(element) || /^\bcat\b$/.test(value);
    }, "type the correct answer -_-");

    // validate contactForm form
    $(function() {
        $('#contactForm').validate({
            rules: {
                name: {
                    required: true,
                    minlength: 2
                },
                email: {
                    required: true,
                    email: true
                },
                phone: {
                    required: true,
                },
                date: {
                    required: true,
                },
                start: {
                    required: true,
                },
                city: {
                    required: true,
                },
                state: {
                    required: true,
                },
                zip: {
                    required: true,
                },
                end: {
                    required: true,
                },
                city2: {
                    required: true,
                },
                state2: {
                    required: true,
                },
                zip2: {
                    required: true,
                },
            },
            messages: {
                name: {
                    required: "Enter name",
                    minlength: "Enter real name"
                },
                email: {
                    required: "Enter valid email"
                },
                phone: {
                    required: "Enter phone number"
                },
                date: {
                    required: "Whats's your moving date?"
                },
                start: {
                    required: "FROM: Street Address"
                },
                city: {
                    required: "FROM: City"
                },
                state: {
                    required: "FROM: State"
                },
                zip: {
                    required: "FROM: Zip Code"
                },
                end: {
                    required: "TO: Street Address"
                },
                city2: {
                    required: "TO: City"
                },
                state2: {
                    required: "TO: State"
                },
                zip2: {
                    required: "TO: Zip Code"
                },
            },
            submitHandler: function(form) {
                $(form).ajaxSubmit({
                    type:"POST",
                    data: $(form).serialize(),
                    url:"test.php",
                    success: function() {
                        $('#contactForm :input').attr('disabled', 'disabled');
                        $('#contactForm').fadeTo( "slow", 0.15, function() {
                            $(this).find(':input').attr('disabled', 'disabled');
                            $(this).find('label').css('cursor','default');
                            $('#success').fadeIn();
                        });
                    },
                    error: function() {
                        $('#contactForm').fadeTo( "slow", 0.15, function() {
                            $('#error').fadeIn();
                        });
                    }
                });
            }
        });
    });
        
 })(jQuery)
});